--- old/usr/src/man/man7d/ehci.7d	Sat Jan 11 13:13:26 2020
+++ new/usr/src/man/man7d/ehci.7d	Sat Jan 11 13:13:26 2020
@@ -3,17 +3,15 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH EHCI 7D "May 13, 2017"
+.TH EHCI 7D "Jan 10, 2020"
 .SH NAME
 ehci \- Enhanced host controller driver
 .SH SYNOPSIS
-.LP
 .nf
 \fBusb@unit-address\fR
 .fi
 
 .SH DESCRIPTION
-.LP
 The \fBehci\fR driver is a USBA (Solaris USB Architecture) compliant nexus
 driver that supports the Enhanced Host Controller Interface Specification 2.0,
 an industry standard developed by Intel.
@@ -35,24 +33,15 @@
 UHCI host controller).
 .sp
 .LP
-The \fBehci\fR supports bulk, interrupt, control and iso chronous transfers
+The \fBehci\fR supports bulk, interrupt, control and isochronous transfers
 (on USB1.\fIx\fR devices behind a USB2.0 hub).
 .SH FILES
 .ne 2
 .na
-\fB\fB/kernel/drv/ehci\fR\fR
-.ad
-.RS 28n
-32-bit ELF 86 kernel module
-.RE
-
-.sp
-.ne 2
-.na
 \fB\fB/kernel/drv/sparcv9/ehci\fR\fR
 .ad
 .RS 28n
-64-bit SPARC ELF kernel module
+Device driver (SPARC)
 .RE
 
 .sp
@@ -61,7 +50,7 @@
 \fB\fB/kernel/drv/amd64/ehci\fR\fR
 .ad
 .RS 28n
-64-bit x86 ELF kernel module
+Device driver (x86)
 .RE
 
 .sp
@@ -74,7 +63,6 @@
 .RE
 
 .SH ATTRIBUTES
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .sp
 
@@ -89,7 +77,6 @@
 .TE
 
 .SH SEE ALSO
-.LP
 \fBadd_drv\fR(1M), \fBprtconf\fR(1M), \fBrem_drv\fR(1M), \fBupdate_drv\fR(1M),
 \fBattributes\fR(5), \fBhubd\fR(7D), \fBuhci\fR(7D), \fBohci\fR(7D),
 \fBusba\fR(7D)
@@ -112,7 +99,6 @@
 .LP
 \fIhttp://www.intel.com/technology/usb/ehcispec.htm\fR
 .SH DIAGNOSTICS
-.LP
 In addition to being logged, the following messages may appear on the system
 console. All messages are formatted in the following manner:
 .sp
@@ -204,7 +190,7 @@
 The driver is unable to take control of the EHCI hardware from the
 system's BIOS and aborts the attach. High speed (USB 2.0) support is disabled.
 In this case, all USB devices run at full/low speed. Contact your system vendor
-or your system administror for possible changes in BIOS settings. You can
+or your system administrator for possible changes in BIOS settings. You can
 disable a property in \fBehci.conf\fR to ignore this failure. (x86 only.)
 .RE
 
